Package org.kapott.hbci.structures

# Class BigDecimalValue

java.lang.Object
org.kapott.hbci.structures.BigDecimalValue

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TypedValue`

public class BigDecimalValue extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BigDecimalValue(long value, int scale, String curr)`
`BigDecimalValue(long value, String curr)`
`BigDecimalValue(String value, String curr)`
`BigDecimalValue(BigDecimal value, String curr)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCurr()`
`BigDecimal`
`getValue()`
`void`
`setCurr(String curr)`
`void`
`setValue(BigDecimal value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BigDecimalValue

public BigDecimalValue(long value, String curr)

### BigDecimalValue

public BigDecimalValue(long value, int scale, String curr)

### BigDecimalValue

public BigDecimalValue(BigDecimal value, String curr)

### BigDecimalValue

public BigDecimalValue(String value, String curr)

## Method Details

### getValue

public BigDecimal getValue()

### setValue

public void setValue(BigDecimal value)

### getCurr

public String getCurr()

### setCurr

public void setCurr(String curr)

### toString

public String toString()

Overrides:
  `toString` in class `Object`